package com.xkrs.service.impl;

import com.xkrs.common.encapsulation.PromptMessageEnum;
import com.xkrs.dao.FireEventDao;
import com.xkrs.model.entity.FireEvent;
import com.xkrs.service.FireEventService;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Locale;

import static com.xkrs.common.encapsulation.OutputEncapsulation.outputEncapsulationObject;

@Service
public class FireEventServiceImpl implements FireEventService {

    @Resource
    private FireEventDao fireEventDao;

    private Locale locale = LocaleContextHolder.getLocale();

    @Override
    public String selectFireEventList() {
        List<FireEvent> fireEventList = fireEventDao.findAll();
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS, fireEventList, locale);
    }

}
